from PIL import Image

im = Image.open('still.jpg')

# using Image.ADAPTIVE to avoid dithering
for i in range(8, 0, -1):
    out = im.convert('P', palette=Image.ADAPTIVE, colors=i)

    out.save(f'out_{i}_bits.png')
